Page MenuHomePhabricator

Give editors in plwikisource the suppressredirect right
Closed, ResolvedPublic

Description

The plwikisource community decided in this discussion:
https://pl.wikisource.org/w/index.php?oldid=2145868#Zwi%C4%99kszenie_uprawnie%C5%84_redaktor%C3%B3w
that we wish grant the right to rename pages without leaving a redirect (the suppressredirect right; 8 users supported, one commented only, nobody opposed) to the editotors user group.
Editors are relatively advanced wiki users who have appropriate knowledge about project rules and wiki technology. And most pages renamed by them are simple typos or mistakes, when no redirect is needed.

Details

Related Gerrit Patches:

Event Timeline

Ankry created this task.Dec 27 2018, 5:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 27 2018, 5:43 PM
MarcoAurelio renamed this task from Give ediors in plwikisource the suppressredirect right to Give editors in plwikisource the suppressredirect right.Dec 27 2018, 5:51 PM
Ankry updated the task description. (Show Details)Dec 27 2018, 7:04 PM
Tulsi_Bhagat triaged this task as Normal priority.
Tulsi_Bhagat moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

Change 481513 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[operations/mediawiki-config@master] Add 'suppressredirect' user right to editor user group at pl.wikisource

https://gerrit.wikimedia.org/r/481513

Ankry added a comment.Dec 28 2018, 7:09 AM

@Tulsi_Bhagat Thanks for the patch. And please note, that there is another pending config change in this file region:
https://gerrit.wikimedia.org/r/481107
(from T212478) that may cause merge conflicts.

Merge conflicts aren't a cause for worry, they'll be solved during deployment.

Scheduled to be deployed during European Mid-day SWAT window on Monday, January 07.

Change 481513 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 'suppressredirect' user right to editor user group at pl.wikisource

https://gerrit.wikimedia.org/r/481513

Mentioned in SAL (#wikimedia-operations) [2019-01-07T12:15:51Z] <zfilipin@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:481513|Add suppressredirect user right to editor user group at pl.wikisource (T212655)]] (duration: 00m 44s)

Zoranzoki21 closed this task as Resolved.Jan 7 2019, 12:18 PM